* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body {
    font-family: 'Arial', sans-serif;
    background-color: #f4f4f4;
    color: #333;
    line-height: 1.6;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
* {
    -webkit-user-drag: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none; 
}
.flag-icon,
.clickable {
    pointer-events: auto;
}
img:not(.flag-icon):not(.clickable),
svg:not(.clickable) {
    pointer-events: none;
}
header {
    background-color: #333;
    color: white;
    padding: 10px 0;
    text-align: center;
}
header nav ul {
    list-style: none;
    padding: 0;
}
header nav ul li {
    display: inline;
    margin: 0 15px;
}
header nav ul li a {
    color: white;
    text-decoration: none;
    font-weight: bold;
}
@keyframes float {
    0%, 100% {
        transform: translateY(0);
    }
    50% {
        transform: translateY(-10px);
    }
}
.hero {
    background: url('images/slanted-gradient.svg') no-repeat center center/cover;
    text-align: center;
    padding: 150px 0;
    color: white;
}
.hero h2 {
    font-size: 2.5rem;
    margin-top: 60px;
}
.hero p {
    margin-bottom: 40px; 
    margin-top: 10px;
}
.hero .btn {
    background: rgba(255, 215, 0, 0.3); 
    color: white;
    padding: 10px 20px;
    text-decoration: none;
    border-radius: 5px;
    display: inline-block;
    transition: background-color 0.2s, box-shadow 0.2s, backdrop-filter 0.2s;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(5px);
    border: 1px solid rgba(255, 215, 0, 0.5);
    opacity: 0;
    pointer-events: none;
    animation: float 3s ease-in-out infinite;
    will-change: transform;
}
.btn {
    opacity: 0;
    pointer-events: none; 
    transition: opacity 0.3s ease-in-out; 
}
.btn:hover {
    opacity: 1; 
    pointer-events: auto; 
}
.hero .btn:hover {
    background: rgba(255, 215, 0, 0.6);
    transform: scale(1.05);
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.4);
    -webkit-backdrop-filter: blur(8px);
    backdrop-filter: blur(8px);
}
.hero .btn:active {
    transform: scale(0.95) translateY(0); 
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
    background: rgba(255, 215, 0, 0.7);
    -webkit-backdrop-filter: blur(12px);
    backdrop-filter: blur(12px);
}
#skills {
    background: linear-gradient(145deg, #2a2a2a, #1e1e1e, #3a3a3a); 
    color: white;
    padding: 50px 0; 
    text-align: center;
}
#skills h2 {
    font-family: 'pop', serif; 
    font-size: 2.5rem;
    margin-bottom: 30px;
    color: rgba(255, 215, 0, 0.8); 
    text-shadow: 3px 3px 5px rgba(0, 0, 0, 0.6);
}
.text {
    display: inline-flex;
}
.letter {
    display: inline-block;
}
.letter-type {
    opacity: 0; 
}
.skills-container {
    display: flex;
    justify-content: center;
    gap: 20px;
    flex-wrap: wrap;
}
.skill-card {
    display: flex;
    flex-direction: column; 
    align-items: flex-start; 
    justify-content: flex-start; 
    background: rgb(34, 34, 51); 
    border: 1px solid rgba(255, 255, 255, 0.2); 
    border-radius: 10px;
    padding: 10px;
    width: 300px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
    position: relative;
    overflow: hidden; 
    min-height: 625px; 
    gap: 10px; 
    transition: transform 0.5s ease, box-shadow 0.3s ease, background 0.5s ease, border-color 0.7s ease;
}
.typing-container {
    padding: 0; 
    background-color: transparent; 
}
.typing-container pre,
.typing-container code {
    background-color: transparent !important;
    background: none; 
    border: none; 
    margin: 0; 
    padding: 0; 
    box-shadow: none; 
}
.typing-container .token.comment {
    color: #637777; 
    font-style: italic;
}
.typing-container .token.tag {
    color: #7fdbca; 
}
.typing-container .token.attr-name {
    color: #c792ea; 
}
.typing-container .token.attr-value {
    color: #ecc48d; 
}
.typing-container .token.punctuation {
    color: #d6deeb; 
}
.typing-text::after {
    content: "|";
    display: inline-block;
    animation: blink 0.7s steps(2, start) infinite;
}
@keyframes blink {
    0%, 100% {
        opacity: 1;
    }
    50% {
        opacity: 0;
    }
}
.skill-content {
    display: none;
}
.skill-card:hover .typing-container {
    display: none;
}
.skill-card:hover .skill-content {
    display: block;
}
.skill-card:hover {
    transform: translateY(-10px);
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.4);
    border-color: rgba(255, 215, 0, 0.8); 
    background: rgba(255, 255, 255, 0.1);
}
.skill-card h3 {
    margin: 0; 
    padding: 0; 
    margin-bottom: 10px; 
    text-align: center; 
    font-family: 'neon', serif; 
    font-size: 1.5rem;
    color: #198655; 
    text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.6); 
    width: 100%; 
}
#projects {
    background: url('images/subtle-prism.svg') no-repeat center center;
    background-size: cover;
    padding: 50px 0;
    text-align: center;
}
#projects h2 {
    font-family: 'pop', serif; 
    font-size: 2.5rem;
    margin-bottom: 30px;
    color: rgba(255, 215, 0, 0.8); 
    text-shadow: 3px 3px 5px rgba(0, 0, 0, 0.6); 
}
.projects-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding: 0 20px;
}
.project-card {
    background: rgba(42, 42, 42, 0.9); 
    border: 1px solid rgba(255, 255, 255, 0.2); 
    border-radius: 10px;
    padding: 20px;
    width: 46%;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
    transition: transform 0.3s ease, box-shadow 0.3s ease, border-color 0.7s ease;
    margin-bottom: 20px;
    margin-right: 20px; 
    margin-left: 20px; 
    display: flex;
    flex-direction: column;
    justify-content: space-between; 
}
.project-card:hover {
    transform: translateY(-10px);
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.4);
    border-color: rgba(255, 215, 0, 0.8)!important; 
}
.project-card h3 {
    font-family: 'neon', serif; 
    font-size: 1.5rem;
    color: #198655; 
    margin-bottom: 15px;
    text-shadow: 2px 2px 3px rgba(0, 0, 0, 0.6); 
}
.project-card p {
    font-size: 1rem;
    line-height: 1.5;
    color: #ddd;
    flex-grow: 1; 
    text-align: left; 
    width: 100%; 
}
.view-project-btn {
    display: inline-block;
    padding: 10px 20px;
    background-color: rgba(69, 160, 73, 0.2); 
    color: #fff;
    text-decoration: none;
    border-radius: 5px;
    border: 1px solid #45a049; 
    transition: background-color 0.5s, transform 0.3s, border-color 0.3s;
    align-self: center; 
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
    margin-top: 10px;
}
.view-project-btn:hover {
    background-color: #45a049; 
}
.view-project-btn:active {
    transform: scale(1.05); 
}
#contact {
    background: linear-gradient(10deg, #2a2a2a, #1e1e1e, #3a3a3a); 
    color: white;
    padding: 50px 0;
    text-align: center;
}
#contact h2 {
    font-family: 'pop', serif; 
    font-size: 2.5rem;
    margin-bottom: 30px;
    color: rgba(255, 215, 0, 0.8); 
    text-shadow: 3px 3px 5px rgba(0, 0, 0, 0.6); 
}
.contact-list {
    list-style: none;
    padding: 20px 0;
    display: flex;
    justify-content: center;
    gap: 30px;
}
.contact-list li {
    display: inline;
}
.contact-list a {
    display: inline-block;
    width: 40px;
    height: 40px;
    transition: transform 0.3s;
}
.contact-list a:hover {
    transform: scale(1.1);
}
.contact-list img {
    width: 100%;
    height: 100%;
}
#contact-modal {
    display: none;
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.8);
    animation: fadeIn 0.5s ease-in-out;
}
#contact-modal .modal-content {
    background-color: #2a2a2a;
    margin: 10% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
    max-width: 500px;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
    color: white;
    text-align: left;
}
#contact-modal .modal-content h2 {
    font-family: 'pop', serif; 
    font-size: 2rem;
    margin-bottom: 20px;
    color: rgba(255, 215, 0, 0.8); 
    text-shadow: 3px 3px 5px rgba(0, 0, 0, 0.6); 
    text-align: center;
}
#contact-modal .modal-content form {
    display: flex;
    flex-direction: column;
}
#contact-modal .modal-content label {
    margin-bottom: 5px;
    font-size: 1rem;
}
#contact-modal .modal-content input,
#contact-modal .modal-content textarea {
    margin-bottom: 15px;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 1rem;
    background-color: #444;
    color: white;
}
#contact-modal .modal-content input:focus,
#contact-modal .modal-content textarea:focus {
    border-color: #45a049;
    outline: none;
    box-shadow: 0 0 5px rgba(69, 160, 73, 0.5);
}
#contact-modal .modal-content button {
    display: inline-block;
    padding: 10px 20px;
    background-color: rgba(69, 160, 73, 0.2); 
    color: #fff;
    text-decoration: none;
    border-radius: 5px;
    border: 1px solid #45a049; 
    transition: background-color 0.3s, transform 0.3s, border-color 0.3s;
    align-self: center; 
    cursor: pointer;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3)
}
#contact-modal .modal-content button:hover {
    background-color: #45a049; 
}
#contact-modal .modal-content button:active {
    transform: scale(1.05); 
}
#contact-modal .close-btn {
    position: absolute;
    top: 10px;
    right: 20px;
    font-size: 30px;
    color: #fff; 
    cursor: pointer;
    transition: color 0.3s ease; 
}
#contact-modal .close-btn:hover,
#contact-modal .close-btn:focus {
    color: #ff6347;
    text-decoration: none;
    cursor: pointer;
}
#quiz-app-modal {
    display: none; 
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8); 
    justify-content: center;
    align-items: center;
    overflow: auto;
    animation: fadeIn 0.5s ease-in-out;
}
#quiz-app-modal .modal-content {
    background-color: #2a2a2a;
    border: 1px solid #888;
    border-radius: 10px;
    padding: 20px;
    width: 90%;
    max-width: 600px;
    position: relative;
    animation: slideIn 0.5s ease-in-out;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.5);
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    color: white;
    height: auto;
    max-height: 90vh;
    justify-content: flex-start;
}
#quiz-app-modal .close-btn {
    position: absolute;
    top: 10px;
    right: 20px;
    font-size: 30px;
    color: #fff;
    cursor: pointer;
    transition: color 0.3s ease;
    z-index: 10;
}
#quiz-app-modal .close-btn:hover {
    color: #ff6347;
}
#quiz-app-modal h2 {
    font-family: 'pop', serif;
    font-size: 2rem;
    margin-bottom: 20px;
    color: rgba(255, 215, 0, 0.8);
    text-shadow: 3px 3px 5px rgba(0, 0, 0, 0.6);
    text-align: center;
}
#quiz-iframe {
    width: 100%;
    height: 600px;
    max-height: 90vh;
    border-radius: 10px;
    background: transparent;
    display: block;
}
body.light-theme #quiz-app-modal .modal-content {
    background-color: #8C7760;
    color: #333;
}
body.light-theme #quiz-app-modal h2 {
    color: #333;
}
body.light-theme #quiz-iframe {
    background: #fff;
}
.honeypot {
    display: none;
}
footer {
    background-color: #141414;
    color: white;
    text-align: center;
    padding: 10px 0;
}
.recaptcha-container {
    position: relative; 
    text-align: center; 
    margin-top: 15px; 
}
.recaptcha-container .g-recaptcha {
    display: inline-block; 
    margin: auto; 
}
.footer-text {
    display: inline-block;
    font-size: 1rem;
    position: relative;
    overflow: hidden;
    background: linear-gradient(245deg, #1e90ff, #00ced1, #1e90ff, #00ced1, #1e90ff, #00ced1, #1e90ff, #00ced1, #1e90ff, #00ced1);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
    animation: shimmer 30s infinite;
}
footer a {
    display: inline-block; 
    font-size: 0.7rem; 
    color: #007f66; 
    text-decoration: none; 
    margin: 0 0px; 
    transition: color 0.3s ease; 
}
footer a:hover {
    color: #00ccaa; 
}
.footer-separator {
    color: #007f66; 
    margin: 0 0px; 
    font-size: 0.9rem; 
    display: inline-block; 
}
.footer-separator:hover {
    color: #007f66; 
}
.footer-highlight {
    background: linear-gradient(245deg, #ff4500, #ff8c00, #ff4500, #ff8c00, #ff4500, #ff8c00, #ff4500, #ff8c00, #ff4500, #ff8c00);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
    animation: shimmer 30s infinite;
}
.footer-copyright {
    color: #4682b4; 
    -webkit-text-fill-color: #4682b4; 
    background: none; 
}
@keyframes shimmer {
    0% {
        background-position: -200%;
    }
    100% {
        background-position: 200%;
    }
}
.footer-text,
.footer-highlight {
    background-size: 200% auto;
}
@media (max-width: 768px) {
    .skills-container,
    .projects-container {
        flex-direction: column;
        align-items: center;
    }
    .skill-card,
    .project-card {
        width: 80%;
    }
}
#gallery-modal {
    display: none;
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.8);
    justify-content: center;
    align-items: center;
    overflow: auto; 
    animation: fadeIn 0.5s ease-in-out;
}
#gallery-modal h2 {
    font-family: 'pop', serif; 
    font-size: 2rem;
    margin-bottom: 20px;
    color: rgba(255, 215, 0, 0.8); 
    text-shadow: 3px 3px 5px rgba(0, 0, 0, 0.6); 
    text-align: center;
}
#gallery-modal .modal-content {
    background-color: #2a2a2a;
    border-radius: 10px;
    padding: 0;
    width: 95vw;
    max-width: 1200px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.5);
    animation: slideIn 0.5s ease-in-out;
    border: 1px solid #888;
    height: 90vh !important;
    max-height: 90vh !important;
    min-height: 400px;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    position: relative;
    overflow: auto;
}
#gallery-iframe {
    width: 100%;
    min-height: 400px;
    border: none;
    display: block;
    background: transparent;
    flex: 1 1 auto;
    opacity: 0;
    transition: opacity 0.5s cubic-bezier(.4,0,.2,1);
}
#gallery-iframe.loaded {
    opacity: 1;
}
#gallery-modal .close-btn {
    position: absolute;
    top: 10px;
    right: 20px;
    font-size: 30px;
    color: #fff;
    cursor: pointer;
    transition: color 0.3s ease;
}
#gallery-modal .close-btn:hover {
    color: #ff6347; 
}
#gallery-modal::-webkit-scrollbar {
    width: 8px; 
}
#gallery-modal::-webkit-scrollbar-thumb {
    background-color: rgba(255, 255, 255, 0.5); 
    border-radius: 10px; 
}
#gallery-modal::-webkit-scrollbar-track {
    background-color: rgba(0, 0, 0, 0.8); 
}
#gallery-modal {
    scrollbar-width: thin; 
    scrollbar-color: rgba(255, 255, 255, 0.5) rgba(0, 0, 0, 0.8); 
}
@keyframes fadeIn {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}
@keyframes slideIn {
    from {
        transform: translateY(-50px);
    }
    to {
        transform: translateY(0);
    }
}
.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    justify-content: center;
    align-items: center;
}
.modal-content {
    background-color: white;
    position: relative;
    max-width: 90%;  
    max-height: 90%; 
    overflow: auto;
    padding: 20px;
    border-radius: 8px;
    margin: auto;
}
.close-btn {
    position: absolute;
    top: 10px;
    right: 10px;
    color: #E74C3C;
    font-size: 30px;
    cursor: pointer;
}
.modal, .modal-content {
    transition: all 0.3s ease;
}
#portfolio-modal {
    display: none; 
    position: fixed;
    z-index: 1000; 
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8); 
    justify-content: center;
    align-items: center;
    overflow: auto; 
    animation: fadeIn 0.5s ease-in-out; 
}
#portfolio-modal .modal-content {
    background-color: #2a2a2a; 
    border: 1px solid #888; 
    border-radius: 10px;
    padding: 20px;
    width: 90%;
    height: 90%;
    max-width: 1200px;
    position: relative;
    animation: slideIn 0.5s ease-in-out; 
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.5); 
    overflow: hidden; 
    box-sizing: border-box; 
    display: flex; 
    flex-direction: column; 
    justify-content: center; 
    align-items: center; 
}
#portfolio-modal .close-btn {
    position: absolute;
    top: 10px;
    right: 20px;
    font-size: 30px;
    color: #fff;
    cursor: pointer;
    transition: color 0.3s ease;
    z-index: 10; 
}
#portfolio-modal .close-btn:hover {
    color: #ff6347; 
}
#portfolio-modal h2 {
    font-family: 'pop', serif; 
    font-size: 2rem;
    margin-bottom: 20px;
    color: rgba(255, 215, 0, 0.8); 
    text-shadow: 3px 3px 5px rgba(0, 0, 0, 0.6); 
    text-align: center;
}
#portfolio-modal iframe {
    border: none;
    width: 100%;
    height: calc(100% - 60px); 
    overflow: hidden; 
}
#blog-modal {
    display: none; 
    position: fixed;
    z-index: 1000; 
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8); 
    justify-content: center;
    align-items: center;
    overflow: auto; 
    animation: fadeIn 0.5s ease-in-out; 
}
#blog-modal .modal-content {
    background-color: #2a2a2a; 
    border: 1px solid #888; 
    border-radius: 10px;
    padding: 20px;
    width: 90%;
    max-width: 1200px; 
    position: relative;
    animation: slideIn 0.5s ease-in-out; 
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.5); 
    overflow: hidden; 
    height: 90%; 
    box-sizing: border-box; 
    display: flex; 
    flex-direction: column; 
    justify-content: center; 
    align-items: center; 
}
#blog-modal .close-btn {
    position: absolute;
    top: 10px;
    right: 20px;
    font-size: 30px;
    color: #fff;
    cursor: pointer;
    transition: color 0.3s ease;
    z-index: 10; 
}
#blog-modal .close-btn:hover {
    color: #ff6347; 
}
#blog-modal h2 {
    font-family: 'pop', serif; 
    font-size: 2rem;
    margin-bottom: 20px;
    color: rgba(255, 215, 0, 0.8); 
    text-shadow: 3px 3px 5px rgba(0, 0, 0, 0.6); 
    text-align: center;
}
#blog-modal iframe {
    border: none;
    width: 100%;
    height: calc(100% - 60px); 
    overflow: hidden; 
}
#chat-app-modal {
    display: none; 
    position: fixed;
    z-index: 1000; 
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8); 
    justify-content: center;
    align-items: center;
    overflow: auto; 
    animation: fadeIn 0.5s ease-in-out; 
}
#chat-app-modal .modal-content {
    background-color: #2a2a2a; 
    border: 1px solid #888; 
    border-radius: 10px;
    padding: 20px;
    width: 90%;
    max-width: 600px;
    position: relative;
    animation: slideIn 0.5s ease-in-out; 
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.5); 
    overflow: hidden; 
    height: 800px; 
    box-sizing: border-box; 
}
#chat-app-modal .close-btn {
    position: absolute;
    top: 10px;
    right: 20px;
    font-size: 30px;
    color: #fff;
    cursor: pointer;
    transition: color 0.3s ease;
    z-index: 10; 
}
#chat-app-modal .close-btn:hover {
    color: #ff6347; 
}
#chat-app-modal h2 {
    font-family: 'pop', serif; 
    font-size: 2rem;
    margin-bottom: 20px;
    color: rgba(255, 215, 0, 0.8); 
    text-shadow: 3px 3px 5px rgba(0, 0, 0, 0.6); 
    text-align: center;
}
#chat-app-modal iframe {
    border: none;
    width: 100%;
    height: calc(100% - 60px); 
    overflow: hidden; 
}
#weather-modal {
    display: none; 
    position: fixed;
    z-index: 1000; 
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8); 
    justify-content: center;
    align-items: center;
    overflow: hidden; 
    animation: fadeIn 0.5s ease-in-out; 
}
#weather-modal .modal-content {
    display: flex; 
    flex-direction: column; 
    justify-content: center; 
    align-items: center; 
    background-color: #2a2a2a; 
    border-radius: 10px;
    padding: 20px;
    width: 90%; 
    max-width: 600px; 
    max-height: 90%; 
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.5); 
    animation: slideIn 0.5s ease-in-out; 
    position: relative;
    overflow: hidden; 
    border: 1px solid #888;
}
#weather-modal .close-btn {
    position: absolute;
    top: 10px;
    right: 20px;
    color: white; 
    font-size: 30px;
    cursor: pointer;
    transition: color 0.3s ease;
}
#weather-modal .close-btn:hover {
    color: #ff4500; 
}
#weather-modal h2 {
    font-family: 'pop', sans-serif;
    font-size: 2rem;
    margin-bottom: 20px;
    color: rgba(255, 215, 0, 0.8); 
    text-shadow: 3px 3px 5px rgba(0, 0, 0, 0.6); 
    text-align: center; 
    width: 100%; 
    margin-left: 0; 
}
#weather-modal iframe {
    border: none;
    width: 100%; 
    height: 450px; 
    border-radius: 10px;
    margin-top: 20px; 
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.6), 0 4px 8px rgba(0, 0, 0, 0.4);
    transition: box-shadow 0.3s ease-in-out; 
}
#weather-modal iframe:hover {
    box-shadow: 0 12px 24px rgba(0, 0, 0, 0.8), 0 6px 12px rgba(0, 0, 0, 0.6); 
}
#weather-frame {
    width: 435px;
    height: 500px;
    border: none;
}
@keyframes fadeIn {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}
@keyframes slideIn {
    from {
        transform: translateY(-50px);
    }
    to {
        transform: translateY(0);
    }
}
#todo-list-modal {
    display: none; 
    position: fixed;
    z-index: 1000; 
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8); 
    justify-content: center;
    align-items: center;
    overflow: auto; 
    animation: fadeIn 0.5s ease-in-out; 
}
#todo-list-modal .modal-content {
    background-color: #2a2a2a; 
    border: 1px solid #888; 
    border-radius: 10px;
    padding: 20px;
    width: 90%;
    max-width: 600px;
    position: relative;
    animation: slideIn 0.5s ease-in-out; 
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.5); 
    overflow: hidden; 
    height: auto; 
    box-sizing: border-box; 
    display: flex; 
    flex-direction: column; 
    justify-content: center; 
    align-items: center; 
}
#todo-list-modal .close-btn {
    position: absolute;
    top: 10px;
    right: 20px;
    font-size: 30px;
    color: #fff;
    cursor: pointer;
    transition: color 0.3s ease;
    z-index: 10; 
}
#todo-list-modal .close-btn:hover {
    color: #ff6347; 
}
#todo-list-modal h2 {
    font-family: 'pop', serif; 
    font-size: 2rem;
    margin-bottom: 20px;
    color: rgba(255, 215, 0, 0.8); 
    text-shadow: 3px 3px 5px rgba(0, 0, 0, 0.6); 
    text-align: center;
}
#todo-list-modal .modal-body {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}
#todo-list-modal .modal-body #todo-input {
    padding: 10px;
    width: 70%;
    margin-right: 10px;
    border-radius: 5px;
    border: 2px solid #333; 
    font-family: 'Courier New', Courier, monospace; 
}
#todo-list-modal .modal-body button {
    padding: 10px;
    background-color: #007bff;
    color: white;
    border: 2px solid #333; 
    cursor: pointer;
    font-size: 16px;
    border-radius: 5px;
    margin-top: 10px;
    font-family: 'Courier New', Courier, monospace; 
}
#todo-list-modal .modal-body button:hover {
    background-color: #0056b3;
}
#todo-list-modal .modal-body #todo-list {
    margin-top: 20px;
    width: 100%;
}
#todo-list-modal .modal-body .todo-item {
    background-color: #ffffff;
    padding: 10px;
    margin: 5px 0;
    border-radius: 5px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    border: 2px solid #333; 
    font-family: 'Courier New', Courier, monospace; 
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
#todo-list-modal .modal-body .todo-item span {
    margin-right: 10px;
}
#todo-list-modal .modal-body .todo-item button {
    margin-left: 5px;
    padding: 5px 10px;
    background-color: #f0ad4e;
    color: white;
    border-radius: 5px;
    border: 2px solid #333; 
    font-family: 'Courier New', Courier, monospace; 
}
#todo-list-modal .modal-body .todo-item button:hover {
    background-color: #ec971f;
}
#todo-list-modal .modal-body .todo-item button.delete {
    background-color: #d9534f;
}
#todo-list-modal .modal-body .todo-item button.delete:hover {
    background-color: #c9302c;
}
@keyframes slideIn {
    from { transform: translateY(-50px); }
    to { transform: translateY(0); }
}
.portfolio-header {
    position: fixed;
    top: 0;
    width: 100%;
    padding: 10px 0;
    background: linear-gradient(145deg, #2a2a2a, #1e1e1e); 
    color: white;
    box-shadow: inset 0 2px 10px rgba(0, 0, 0, 0.5);
    transition: all 0.4s ease-in-out;
    z-index: 1000;
}
.portfolio-header::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: radial-gradient(rgba(255, 255, 255, 0.04), transparent),
                url('https://www.transparenttextures.com/patterns/asfalt-dark.png'); 
    opacity: 0.7;
    pointer-events: none;
    transition: opacity 0.4s ease-in-out;
}
.container {
    width: 80%;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 5%;
    gap: 40px;
    transition: padding 0.4s ease-in-out;
    height: 100%;
}
@font-face {
    font-family: 'neon';
    src: url('font/Gotham\ Ultra\ Regular.otf') format('truetype');
}
@font-face {
    font-family: 'pop';
    src: url('font/Poppins-Italic.ttf') format('truetype');
}
.header-title {
    font-family: 'neon', serif; 
    font-size: clamp(1.5rem, 5vw, 3rem); 
    color: #0074e4; 
    display: flex;
    gap: 2px;
    letter-spacing: 1px;
    text-shadow: 1px 1px 2px rgba(0, 116, 228, 0.8), 0px 0px 10px rgba(255, 255, 255, 0.5); 
    animation: fadeInUp 1.5s ease-out;
    align-items: center; 
    margin-right: auto; 
    white-space: nowrap; 
    max-width: none; 
    box-sizing: border-box; 
}
.header-title span {
    background: linear-gradient(90deg, 
        #0074e4, #0088ff, #009dff
    );
    background-size: 600% 100%;
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    display: inline-block;
    animation: shimmer 24s infinite linear, subtleScale 6s infinite ease-in-out alternate;
}
.header-logo {
    max-height: 50px; 
    margin-right: 10px; 
    animation: fadeInScale 1.5s ease-out;
}
@keyframes subtleScale {
    0% { transform: scale(1); }
    50% { transform: scale(1.05); } 
    100% { transform: scale(1); }
}
@keyframes fadeInUp {
    0% { opacity: 0; transform: translateY(10px) scale(0.95); }
    100% { opacity: 1; transform: translateY(0) scale(1); }
}
@keyframes slideInLeft {
    0% { opacity: 0; transform: translateX(-100px); }
    100% { opacity: 1; transform: translateX(0); }
}
@keyframes fadeInScale {
    0% { opacity: 0; transform: scale(0.8); }
    100% { opacity: 1; transform: scale(1); }
}
.header-title span:nth-child(1) { animation-delay: 0s; }
.header-title span:nth-child(2) { animation-delay: 0.15s; }
.header-title span:nth-child(3) { animation-delay: 0.3s; }
.header-title span:nth-child(4) { animation-delay: 0.45s; }
.header-title span:nth-child(5) { animation-delay: 0.6s; }
.header-controls {
    display: flex;
    align-items: center;
    gap: 20px;
    margin-left: auto;
    z-index: 1000; 
}
.language-wrapper {
    position: relative;
    display: inline-block;
}
.language-switcher {
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
}
.flag-icon {
    width: 30px;
    height: 30px;
    border-radius: 50%;
    transition: transform 0.3s ease;
    margin: 7.5px 0;
}
.flag-icon:hover {
    transform: scale(1.1);
}
.language-dropdown {
    position: absolute;
    top: 30px;
    left: -10px;
    visibility: hidden;
    opacity: 0;
    flex-direction: column;
    gap: 10px;
    background: rgba(0, 0, 0, 0);
    padding: 10px;
    border-radius: 5px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0);
    z-index: 1000;
    pointer-events: none; 
    transition: opacity 0.3s ease, visibility 0.3s ease;
}
.language-dropdown.visible {
    visibility: visible;
    opacity: 1;
    pointer-events: auto;
}
.theme-toggle {
    display: flex;
    align-items: center;
}
.theme-toggle input[type="checkbox"] {
    display: none;
}
.theme-toggle .theme-icon {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 35px;
    height: 35px;
    background: rgba(0, 0, 0, 0.8);
    border-radius: 50%;
    cursor: pointer;
    position: relative;
    transition: background 0.3s ease;
}
.theme-toggle .sun-icon,
.theme-toggle .moon-icon {
    position: absolute;
    font-size: 35px;
    transition: opacity 0.3s ease;
}
.theme-toggle .theme-icon {
    background: rgba(0, 0, 0, 0.4); 
    transition: background 0.3s ease;
}
body.light-theme .theme-toggle .theme-icon {
    background: rgba(0, 0, 0, 0.2); 
}
.header-controls {
    display: flex;
    align-items: center; 
    gap: 20px; 
    margin-left: auto; 
}
.header-nav {
    display: flex;
    justify-content: center; 
    align-items: center; 
    flex-grow: 1; 
}
.header-nav ul {
    display: flex;
    gap: 30px;
    list-style: none;
}
.header-nav a {
    color: rgba(255, 255, 255, 0.8);
    text-decoration: none;
    font-size: 1rem;
    text-transform: uppercase;
    letter-spacing: 1px;
    position: relative;
    transition: color 0.3s ease-in-out;
}
.header-nav a::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 3px;
    bottom: -5px;
    left: 0;
    background:  rgba(25, 134, 85, 0.7);
    transform: scaleX(0);
    transform-origin: right;
    transition: transform 0.3s ease-in-out;
}
.header-nav a:hover {
    color: rgba(255, 215, 0, 0.7); 
}
.header-nav a:hover::before {
    transform: scaleX(1);
    transform-origin: left;
}
.scrolled {
    background: rgba(30, 30, 30, 0.5); 
    -webkit-backdrop-filter: blur(10px); 
    backdrop-filter: blur(10px); 
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.6);
    padding: 5px 0; 
    height: 55px; 
}
.scrolled::before {
    opacity: 0; 
}
.scrolled .container {
    padding: 0 5%;
}
.scrolled .header-title {
    font-size: 1.5rem; 
}
.scrolled .header-logo {
    max-height: 25px; 
    transition: max-height 0.4s ease-in-out; 
}
.scrolled .header-controls {
    gap: 10px; 
    transform: scale(0.8); 
    transition: transform 0.4s ease-in-out;
}
.scrolled .menu-toggle {
    top: 50%; 
    transform: translate(-50%, -50%) scale(0.9); 
    transition: transform 0.4s ease-in-out;
}
@keyframes fadeIn {
    0% {
        opacity: 0;
        transform: translateY(-20px);
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}
.scrolled {
    background: linear-gradient(145deg, #1e1e1e, #181818);
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.6);
    padding: 15px 0;
}
.header-nav a {
    transition: transform 0.3s ease, color 0.3s ease-in-out;
}
.header-nav a:hover {
    transform: translateY(-3px);
    color: rgba(255, 215, 0, 0.7); 
}
.menu-toggle {
    display: none; 
    flex-direction: column;
    justify-content: space-between;
    width: 30px;
    height: 24px;
    background: none;
    border: none;
    cursor: pointer;
    z-index: 1100;
    position: absolute;
    top: 50%; 
    left: 50%; 
    transform: translate(-50%, -50%); 
}
.menu-toggle span {
    display: block;
    width: 100%;
    height: 4px;
    background: white;
    border-radius: 4px;
    transition: all 0.3s ease-in-out;
}
@media (max-width: 768px) {
    .menu-toggle {
        display: flex; 
    }
    .header-nav {
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        background: rgba(30, 30, 30, 0.9);
        -webkit-backdrop-filter: blur(10px);
        backdrop-filter: blur(10px);
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 20px;
        padding: 20px;
        transform: translateY(-100%);
        opacity: 0;
        transition: transform 0.4s ease, opacity 0.4s ease;
    }
    .header-nav.active {
        transform: translateY(0);
        opacity: 1;
    }
    .header-nav ul {
        flex-direction: column;
        width: 100%;
        text-align: center;
    }
    .header-nav a {
        display: block;
        padding: 10px 0;
        font-size: 1.2rem;
    }
    .menu-toggle.open span:nth-child(1) {
        transform: translateY(10px) rotate(45deg);
    }
    .menu-toggle.open span:nth-child(2) {
        opacity: 0;
    }
    .menu-toggle.open span:nth-child(3) {
        transform: translateY(-10px) rotate(-45deg);
    }
}
body.light-theme #skills {
    background: linear-gradient(145deg, #8C7760, #A8977D, #CBB89E); 
    color: #333; 
}
body.light-theme #contact {
    background: linear-gradient(350deg, #8C7760, #A8977D, #CBB89E); 
    color: #333; 
}
body.light-theme header {
    background: #8C7760; 
    color: #333; 
}
body.light-theme {
    background-color: #8C7760; 
    color: #333; 
}
body.light-theme .portfolio-header {
    background-color: #564536 !important; 
    color: #333 !important; 
}
@media (max-width: 768px) {
    body.light-theme .header-nav {
        background-color: rgba(86, 69, 54, 0.8); 
    }
    body.light-theme .header-nav.active {
        background-color: rgba(86, 69, 54, 0.8); 
    }
}
body.light-theme .hero {
    background: url('images/light-slanted-gradient.svg') no-repeat center center/cover; 
}
body.light-theme #projects {
    background: url('images/light-subtle-prism.svg') no-repeat left center;
}
body.light-theme #gallery-modal {
    background-color: rgba(250, 243, 231, 0.8); 
}
body.light-theme #weather-modal {
    background-color: rgba(250, 243, 231, 0.8); 
}
body.light-theme .project-card {
    background-color: rgba(140, 119, 96, 0.9); 
    color: #333; 
    border: 1px solid #CBB89E; 
}
body.light-theme .modal-content {
    background-color: #8C7760; 
    color: #333; 
}
body.light-theme footer {
    background-color: #564536; 
    color: #333; 
}
body.light-theme {
    color: #333; 
}
body.light-theme .hero h2,
body.light-theme .hero p {
    color: #333; 
}
body.light-theme .project-card p {
    color: #333; 
}
body.light-theme footer {
    color: #333; 
}
body.light-theme #contact-modal .modal-content {
    background-color: #8C7760; 
    color: #333; 
}
body.light-theme #gallery-modal .modal-content {
    background-color: #8C7760; 
    color: #333; 
}
body.light-theme #weather-modal .modal-content {
    background-color: #8C7760; 
    color: #333; 
}
body.light-theme #todo-list-modal .modal-content {
    background-color: #ffffff; 
    color: #333; 
}
body.light-theme #todo-list-modal .todo-item {
    background-color: #f9f9f9; 
    color: #333; 
}
body.light-theme #chat-app-modal .modal-content {
    background-color: #ffffff; 
    color: #333; 
}
body.light-theme .weather-container {
    background: linear-gradient(to right, #ffffff, #e0e0e0); 
    color: #333; 
}
body.light-theme #gallery-modal::-webkit-scrollbar-thumb {
    background-color: rgba(0, 0, 0, 0.3); 
}
body.light-theme #gallery-modal::-webkit-scrollbar-track {
    background-color: rgba(255, 255, 255, 0.8); 
}
.theme-icon img {
    width: 25px;
    height: 25px;
    display: inline-block;
    transition: opacity 0.3s ease;
}
.theme-toggle .sun-icon {
    opacity: 0; 
    transition: opacity 0.3s ease;
}
.theme-toggle .moon-icon {
    opacity: 1; 
    transition: opacity 0.3s ease;
}
body.light-theme .theme-toggle .sun-icon {
    opacity: 1; 
}
body.light-theme .theme-toggle .moon-icon {
    opacity: 0; 
}
@media (max-width: 768px) {
    body.light-theme .skills-container,
    body.light-theme .projects-container {
        flex-direction: column;
        align-items: center;
    }
    body.light-theme .skill-card,
    body.light-theme .project-card {
        width: 80%;
    }
}
body {
    transition: background-color 0.7s ease, color 0.7s ease, opacity 0.7s ease;
    opacity: 1;
}
body.light-theme {
    opacity: 1; 
}
header, 
footer, 
.hero, 
#skills, 
#projects, 
#contact, 
.modal-content, 
.project-card, 
.weather-container, 
#todo-list-modal .modal-content, 
#chat-app-modal .modal-content {
    transition: background-color 0.7s ease, color 0.7s ease, border-color 0.7s ease, box-shadow 0.7s ease;
}
.btn, 
.view-project-btn, 
#contact-modal .modal-content button, 
#todo-list-modal .modal-body button {
    transition: background-color 0.7s ease, color 0.7s ease, border-color 0.7s ease, transform 0.7s ease;
}
#gallery-modal::-webkit-scrollbar-thumb, 
#gallery-modal::-webkit-scrollbar-track {
    transition: background-color 0.7s ease;
}
#ecommerce-modal {
    display: none;
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    justify-content: center;
    align-items: center;
    overflow: auto;
    animation: fadeIn 0.5s ease-in-out;
}
#ecommerce-modal .modal-content {
    background-color: #2a2a2a;
    border: 1px solid #888;
    border-radius: 10px;
    padding: 20px;
    width: 90%;
    max-width: 1200px;
    position: relative;
    animation: slideIn 0.5s ease-in-out;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.5);
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    color: white;
    height: 90vh;
    max-height: 90vh;
    justify-content: flex-start;
}
#ecommerce-modal .close-btn {
    position: absolute;
    top: 10px;
    right: 20px;
    font-size: 30px;
    color: #fff;
    cursor: pointer;
    transition: color 0.3s ease;
    z-index: 10;
}
#ecommerce-modal .close-btn:hover {
    color: #ff6347;
}
#ecommerce-modal h2 {
    font-family: 'pop', serif;
    font-size: 2rem;
    margin-bottom: 20px;
    color: rgba(255, 215, 0, 0.8);
    text-shadow: 3px 3px 5px rgba(0, 0, 0, 0.6);
    text-align: center;
}
#ecommerce-iframe {
    border: none;
    width: 100%;
    height: 100%;
    border-radius: 10px;
    background: #222;
    box-shadow: 0 8px 16px rgba(0,0,0,0.6), 0 4px 8px rgba(0,0,0,0.4);
    margin-top: 10px;
    display: block;
}
#movieapp-modal {
    display: none;
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    justify-content: center;
    align-items: center;
    overflow: auto;
    animation: fadeIn 0.5s ease-in-out;
}
#movieapp-modal .modal-content {
    background-color: #2a2a2a;
    border: 1px solid #888;
    border-radius: 10px;
    padding: 20px;
    width: 90%;
    max-width: 1200px;
    position: relative;
    animation: slideIn 0.5s ease-in-out;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.5);
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    color: white;
    height: 90vh;
    max-height: 90vh;
    justify-content: flex-start;
}
#movieapp-modal .close-btn {
    position: absolute;
    top: 10px;
    right: 20px;
    font-size: 30px;
    color: #fff;
    cursor: pointer;
    transition: color 0.3s ease;
    z-index: 10;
}
#movieapp-modal .close-btn:hover {
    color: #ff6347;
}
#movieapp-modal h2 {
    font-family: 'pop', serif;
    font-size: 2rem;
    margin-bottom: 20px;
    color: rgba(255, 215, 0, 0.8);
    text-shadow: 3px 3px 5px rgba(0, 0, 0, 0.6);
    text-align: center;
}
#movieapp-iframe {
    border: none;
    width: 100%;
    height: 100%;
    border-radius: 10px;
    background: #222;
    box-shadow: 0 8px 16px rgba(0,0,0,0.6), 0 4px 8px rgba(0,0,0,0.4);
    margin-top: 10px;
    display: block;
}